# Copyright 2022-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# Autogenerated by pycargoebuild 0.6.2

EAPI=8

CRATES="
	aho-corasick-0.7.18
	android_system_properties-0.1.5
	ansi_term-0.12.1
	anstyle-0.3.5
	assert_cmd-2.0.8
	atty-0.2.14
	autocfg-1.1.0
	bindgen-0.59.2
	bitflags-1.3.2
	bstr-1.0.1
	bumpalo-3.12.0
	byteorder-1.4.2
	cc-1.0.72
	cexpr-0.6.0
	cfg-if-1.0.0
	chrono-0.4.23
	clang-sys-1.3.0
	clap-2.34.0
	core-foundation-sys-0.8.3
	dashmap-5.3.4
	difflib-0.4.0
	doc-comment-0.3.3
	dunce-1.0.2
	either-1.6.1
	env_logger-0.9.0
	faccess-0.2.4
	fastrand-1.7.0
	filetime-0.2.19
	float-cmp-0.9.0
	futures-0.3.21
	futures-channel-0.3.21
	futures-core-0.3.21
	futures-executor-0.3.21
	futures-io-0.3.21
	futures-sink-0.3.21
	futures-task-0.3.21
	futures-util-0.3.21
	glob-0.3.0
	hashbrown-0.12.3
	hermit-abi-0.1.19
	humantime-2.1.0
	iana-time-zone-0.1.47
	instant-0.1.9
	itertools-0.10.1
	js-sys-0.3.59
	lazy_static-1.4.0
	lazycell-1.3.0
	libc-0.2.137
	libloading-0.7.2
	lock_api-0.4.7
	log-0.4.14
	memchr-2.4.0
	memoffset-0.6.5
	memoffset-0.7.1
	minimal-lexical-0.2.1
	nix-0.23.1
	nix-0.26.2
	nom-7.1.1
	normalize-line-endings-0.3.0
	num-integer-0.1.44
	num-traits-0.2.14
	numtoa-0.1.0
	once_cell-1.17.1
	onig-6.4.0
	onig_sys-69.8.1
	os_display-0.1.2
	parking_lot-0.12.1
	parking_lot_core-0.9.3
	peeking_take_while-0.1.2
	pin-project-lite-0.2.9
	pin-utils-0.1.0
	pkg-config-0.3.24
	predicates-2.1.5
	predicates-3.0.2
	predicates-core-1.0.1
	predicates-tree-1.0.1
	proc-macro2-1.0.36
	quote-1.0.8
	redox_syscall-0.2.10
	redox_termios-0.1.2
	regex-1.7.1
	regex-automata-0.1.9
	regex-syntax-0.6.27
	remove_dir_all-0.5.3
	rustc-hash-1.1.0
	same-file-1.0.4
	scopeguard-1.1.0
	serde-1.0.147
	serial_test-1.0.0
	serial_test_derive-1.0.0
	shlex-1.1.0
	slab-0.4.6
	smallvec-1.8.0
	static_assertions-1.1.0
	strsim-0.8.0
	syn-1.0.94
	tempfile-3.3.0
	termcolor-1.0.5
	termion-1.5.6
	textwrap-0.11.0
	time-0.1.43
	treeline-0.1.0
	unicode-width-0.1.9
	unicode-xid-0.2.1
	uucore-0.0.12
	vec_map-0.8.2
	wait-timeout-0.2.0
	walkdir-2.3.2
	wasm-bindgen-0.2.82
	wasm-bindgen-backend-0.2.82
	wasm-bindgen-macro-0.2.82
	wasm-bindgen-macro-support-0.2.82
	wasm-bindgen-shared-0.2.82
	which-4.2.5
	wild-2.0.4
	winapi-0.3.9
	winapi-i686-pc-windows-gnu-0.4.0
	winapi-util-0.1.5
	winapi-x86_64-pc-windows-gnu-0.4.0
	wincolor-1.0.3
	windows-sys-0.36.1
	windows-sys-0.42.0
	windows_aarch64_gnullvm-0.42.0
	windows_aarch64_msvc-0.36.1
	windows_aarch64_msvc-0.42.0
	windows_i686_gnu-0.36.1
	windows_i686_gnu-0.42.0
	windows_i686_msvc-0.36.1
	windows_i686_msvc-0.42.0
	windows_x86_64_gnu-0.36.1
	windows_x86_64_gnu-0.42.0
	windows_x86_64_gnullvm-0.42.0
	windows_x86_64_msvc-0.36.1
	windows_x86_64_msvc-0.42.0
"

LLVM_MAX_SLOT=15
inherit cargo llvm

DESCRIPTION="GNU findutils rewritten in Rust"
# https://uutils.github.io/user/ doesn't yet mention findutils
HOMEPAGE="https://github.com/uutils/findutils"

if [[ ${PV} == 9999 ]] ; then
	EGIT_REPO_URI="https://github.com/uutils/findutils"
	inherit git-r3
elif [[ ${PV} == *_p* ]] ; then
	FINDUTILS_COMMIT="59301c788aa610bd9b35d8715af72d87528d07dc"
	SRC_URI="https://github.com/uutils/findutils/archive/${FINDUTILS_COMMIT}.tar.gz -> ${P}.tar.gz"
	SRC_URI+="
		$(cargo_crate_uris)
	"
	S="${WORKDIR}"/findutils-${FINDUTILS_COMMIT}
else
	SRC_URI="https://github.com/uutils/findutils/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
	SRC_URI+="
		$(cargo_crate_uris)
	"
	S="${WORKDIR}"/findutils-${PV}
fi

LICENSE="MIT"
# Dependent crate licenses
LICENSE+=" Apache-2.0 BSD CC0-1.0 ISC MIT"
SLOT="0"
if [[ ${PV} != 9999 ]] ; then
	KEYWORDS="~amd64"
fi

# Building onig-sys fails w/ Clang 16 right now
# https://github.com/rust-onig/rust-onig/issues/173
RDEPEND="dev-libs/oniguruma:="
DEPEND="${RDEPEND}"
BDEPEND="
	<sys-devel/clang-$((LLVM_MAX_SLOT + 1))
	>=virtual/rust-1.56.0
"

QA_FLAGS_IGNORED=".*"

src_unpack() {
	if [[ ${PV} == 9999 ]] ; then
		git-r3_src_unpack
		cargo_live_src_unpack
	else
		cargo_src_unpack
	fi
}

src_configure() {
	export RUSTONIG_SYSTEM_LIBONIG=1
	export PKG_CONFIG_ALLOW_CROSS=1

	cargo_src_configure
}

src_install() {
	cargo_src_install

	rm "${ED}"/usr/bin/testing-commandline || die

	local binary
	for binary in find xargs ; do
		mv "${ED}"/usr/bin/${binary} "${ED}"/usr/bin/uutils-${binary} || die
	done
}
